<?php
/******************************************************************************/
/* Arquivo: meuPrimeiroGeradorPDF.php                                         */
/* Este arquivo  parte integrante do artigo:                                 */
/*                            Gerando Documentos PDF com a Classe FPDF no PHP */
/* Autor: Jos Vanol Jr.      Data: 12/07/2010                                */
/******************************************************************************/

//Icluindo o arquivo onde est a Classe FPDF
require_once("lib/fpdf.php");
//Definindo o diretrio das fontes
define('FPDF_FONTPATH','font/');

//Iniciando o construtor FPDF
$pdf = new FPDF();

//Inserindo as propriedades do arquivo PDF
$pdf->SetTitle("Gerando Documentos PDF com a Classe FPDF no PHP"); // Ttulo
$pdf->SetAuthor("Jos Vanol Jr."); // NOme do autor
$pdf->SetCreator("meuPrimeiroGeradorPDF.php"); // Como foi criado o PDF
$pdf->SetSubject("Gerando Documentos PDF com a Classe FPDF no PHP"); //Assunto
$pdf->SetKeywords("FPDF, PHP, Documento PDF, Vanol"); // Palavras-chaves

//Chamando o mtodo para adicionar pgina
$pdf->AddPage();
//Posicionando o cursor.
// "X" em milmetros de cima para baixo
// "Y" em milmetros da esquerda para a direita
$pdf->SetXY(25, 25); // SetXY($x, $y);
//Adicionando uma imagem (Disponvel em: http://img.vivaolinux.com.br/imagens/layout/linux-logo-002.jpg)
$pdf->Image("image/linux-logo-002.jpg"); //Image($arquivo);
// Definindo nova posio do cursor
$pdf->SetXY(70, 25);
//Definindo a fonte
$pdf->SetFont("Helvetica", "B", 12); //SetFont($fonte, $estilo, $tamanho);
//Inserindo clula de texto
$pdf->Cell(0, 5, "Gerando Documentos PDF com a Classe FPDF no PHP");
// Definindo nova posio do cursor
$pdf->SetXY(115, 33);
//Inserindo clula de texto
$pdf->Cell(0, 5, "== Artigo 01 =="); //Cell($h, $w, $txt);
//Definindo novamente a fonte
$pdf->SetFont("Helvetica", "", 11);
// Definindo nova posio do cursor
$pdf->SetXY(120, 38);
//Inserindo clula de texto
$pdf->Cell(0, 5, "Jos Vanol Jr.");
//Inserindo uma Linha Divisria
$pdf->Line(25, 45, 185, 45);
// Definindo nova posio do cursor
$pdf->SetXY(25, 50);
//Texto
$txt='Introduo

	A cada dia que passa, a linguagem PHP (Hipertext Preprocessor) ganha mais espao no que diz respeito a sistemas web, tudo isso graas  "quantidade, diversidade e qualidade de seus recursos, assim como a facilidade de utilizao" (NIEDERAUER, 2005, p. 15) de suas funcionalidades. Dentre tais funcionalidades e recursos est a capacidade de gerao de Documentos PDF (Portable Document Format), fato que simplifica a gerao de relatrios, boletos eletrnicos, formulrios e documentos em geral que necessitam de preciso na impresso do cliente. H vrios modos de gerar documentos PDF no PHP, mas, no entanto, o modo escolhido foi atravs da classe FPDF, foco deste artigo.

Passos para a gerao dum Documento PDF com a Classe FPDF no PHP

1.Dispor de um Servidor previamente configurado (Apache + PHP)
Este artigo no visa ensinar a configurao de um servidor.
Para mais detalhes acesse o artigo:
* Configurando um ambiente LAMP (PIMENTA FORTE, 2010, p. 1):
http://www.vivaolinux.com.br/dica/Configurando-um-ambiente-LAMP-%28acronimo-para-Linux-Apache-MySQL-e-PHP%29-no-Ubuntu-10.04

2.Obter a Classe FPDF
A classe FPDF foi desenvolvida por Olivier PLATHEY.
* Link para download da Classe:
http://www.fpdf.org/en/dl.php?v=16&f=tgz
* Documentao traduzida em portugus por Domingos Paraso:
http://www.fpdf.org/en/dl.php?id=98

3.Preparando o terreno
Uma vez realizado o download da FPDF ("fpdf16.tgz") e descompactados os arquivos, vamos ao que interessa:
* Dentro do seu diretrio "www" crie o diretrio "PDF";
$ mkdir /var/www/PDF
* Dentro do diretrio "PDF" crie o os diretrio "lib";
$mkdir /var/www/PDF/lib
* Mova o arquivo "fpdf.php" para o diretrio "lib";
$mv [diretrio de origem]/fpdf.php /var/www/PDF/lib/
* Mova o diretrio "font" para o diretrio "PDF";
$mv [diretrio de origem]/font/ /var/www/PDF/
* Crie o arquivo "meuPrimerioGeradorPDF.php" no diretrio "PDF";
$cd /var/www/PDF
$vi  meuPrimerioGeradorPDF.php

4.Editando "meuPrimeiroGeradorPDF.php"
 Abra o vi ou o seu editor preferido e mos a obra!';
//Inserindo o texto com quebra de linha automtica
$pdf->MultiCell(160,5,$txt);
// Gerando um Roda-p simples
$pdf->Line(25, 270, 185, 270); // Insere Linha divisria
$pdf->SetXY(25,270); //Posio para o texto
$data=date("d/m/Y H:i:s"); //Pegando data e hora da criao do PDF
$conteudo=$data." Pg. ".$pdf->PageNo(); //Pegando o nmero da pgina
$texto="www.vivaolinux.com.br   -    J. Vanol Jr, 2010.";
$pdf->Cell(80,5,$texto,0,0,"L"); //Insere clula de texto
$pdf->Cell(80,5,$conteudo,0,0,'R'); //Insere clula de texto

//Adicionando uma nova Pgina
$pdf->AddPage();
// Definindo nova posio do cursor
$pdf->SetXY(25, 25);
// Definindo a fonte novamente
$pdf->SetFont("Helvetica", "", 11);
// Novo Texto
$txt='<?php
/******************************************************************************/
/* Arquivo: meuPrimeiroGeradorPDF.php                                         */
/* Este arquivo  parte integrante do artigo:                                 */
/*                            Gerando Documentos PDF com a Classe FPDF no PHP */
/* Autor: Jos Vanol Jr.      Data: 12/07/2010                                */
/******************************************************************************/

//Icluindo o arquivo onde est a Classe FPDF
require_once("lib/fpdf.php");
//Definindo o diretrio das fontes
define("FPDF_FONTPATH","font/");

//Iniciando o construtor FPDF
$pdf = new FPDF();
//Chamando o mtodo para adicionar pgina
$pdf->AddPage();
//Posicionando o cursor.
// "X" em milmetros de cima para baixo
// "Y" em milmetros da esquerda para a direita
$pdf->SetXY(25, 25); // SetXY($x, $y);
//Adicionando uma imagem (Disponvel em: http://img.vivaolinux.com.br/imagens/layout/linux-logo-002.jpg)
$pdf->Image("image/linux-logo-002.jpg"); //Image($arquivo);
// Definindo nova posio do cursor
$pdf->SetXY(70, 25);
//Definindo a fonte
$pdf->SetFont("Helvetica", "B", 12); //SetFont($fonte, $estilo, $tamanho);
//Inserindo clula de texto
$pdf->Cell(0, 5, "Gerando Documentos PDF com a Classe FPDF no PHP");
// Definindo nova posio do cursor
$pdf->SetXY(115, 33);
//Inserindo clula de texto
$pdf->Cell(0, 5, "== Artigo 01 =="); //Cell($h, $w, $txt);
//Definindo novamente a fonte
$pdf->SetFont("Helvetica", "", 11);
// Definindo nova posio do cursor
$pdf->SetXY(120, 38);
//Inserindo clula de texto
$pdf->Cell(0, 5, "Jos Vanol Jr.");
//Inserindo uma Linha Divisria
$pdf->Line(25, 45, 185, 45);
// Definindo nova posio do cursor
$pdf->SetXY(25, 50);
//Texto
$txt="Introduo ..." // Todo o texto a ser gravado com quebra de linha automtica
//Inserindo o texto com quebra de linha automtica
$pdf->MultiCell(160,5,$txt);
';
//Inserindo o texto com quebra de linha automtica
$pdf->MultiCell(160,5,$txt);
// Gerando um Roda-p simples
$pdf->Line(25, 270, 185, 270); // Insere Linha divisria
$pdf->SetXY(25,270); //Posio para o texto
$data=date("d/m/Y H:i:s"); //Pegando data e hora da criao do PDF
$conteudo=$data." Pg. ".$pdf->PageNo(); //Pegando o nmero da pgina
$texto="www.vivaolinux.com.br   -   J. Vanol Jr, 2010.";
$pdf->Cell(80,5,$texto,0,0,"L"); //Insere clula de texto
$pdf->Cell(80,5,$conteudo,0,0,'R'); //Insere clula de texto

//Adicionando uma nova Pgina
$pdf->AddPage();
// Definindo nova posio do cursor
$pdf->SetXY(25, 25);
// Definindo a fonte novamente
$pdf->SetFont("Helvetica", "", 11);
// Novo Texto
$txt='// Gerando um Roda-p simples
$pdf->Line(25, 270, 185, 270); // Insere Linha divisria
$pdf->SetXY(25,270); //Posio para o texto
$data=date("d/m/Y H:i:s"); //Pegando data e hora da criao do PDF
$conteudo=$data." Pg. ".$pdf->PageNo(); //Pegando o nmero da pgina
$texto="www.vivaolinux.com.br";
$pdf->Cell(80,5,$texto,0,0,"L"); //Insere clula de texto alinhado  esquerda
$pdf->Cell(80,5,$conteudo,0,0,"R"); //Insere clula de texto alinhado  direita
//Gerando o arquivo PDF
$pdf->Output("arquivo.pdf","D");
//Fim do arquivo
?>

5.Visualizando o resultado
Abra o seu navegador e acesse "[Servidor]/PDF/meuPrimeiroGeradorPDF.php"
Eis, pois, o "arquivo.pdf"!!! Que maravilha!!!


Concluso

	Como se pode observar, a utilizao da classe "FPDF"  bastante simples e com um pouco de treino  possvel fazer muita coisa. Inclusive  possvel gerar relatrios advindos de consultas a banco de dados ou do preenchimento de formulrios, gerar boletos com cdigo de barras, etc. Mas isso  assunto para outros artigos.







Referncias


NIEDERAUER, Juliano. PHP para quem conhece PHP [Recursos avanados para a criao de websites dinmicos]. So Paulo: Novatec, 2005.

PIMENTA FORTE, Phillip Eduardo. Configurado um ambiente LAMP. Viva o Linux, 2010. Disponvel em: http://www.vivaolinux.com.br/dica/Configurando-um-ambiente-LAMP-%28acronimo-para-Linux-Apache-MySQL-e-PHP%29-no-Ubuntu-10.04  Acesso em: 08/07/2010 s 08:13h.

PLATHEY, Oliver. FPDF Library. FPDF, 2008. Disponvel em: http://www.fpdf.org/ Acesso em: 08/07/2010 s 08:47h.';
//Inserindo o texto com quebra de linha automtica
$pdf->MultiCell(160,5,$txt);
// Gerando um Roda-p simples
$pdf->Line(25, 270, 185, 270); // Insere Linha divisria
$pdf->SetXY(25,270); //Posio para o texto
$data=date("d/m/Y H:i:s"); //Pegando data e hora da criao do PDF
$conteudo=$data." Pg. ".$pdf->PageNo(); //Pegando o nmero da pgina
$texto="www.vivaolinux.com.br   -   J. Vanol Jr, 2010.";
$pdf->Cell(80,5,$texto,0,0,"L"); //Insere clula de texto
$pdf->Cell(80,5,$conteudo,0,0,'R'); //Insere clula de texto

//Gerando o arquivo PDF
$pdf->Output("arquivo.pdf","D");
?>